'use strict';

var core_getIteratorMethod = require('./core.get-iterator-method-5643aa10.js');

// most Object methods by ES6 should accept primitives



var _objectSap = function (KEY, exec) {
  var fn = (core_getIteratorMethod._core.Object || {})[KEY] || Object[KEY];
  var exp = {};
  exp[KEY] = exec(fn);
  core_getIteratorMethod._export(core_getIteratorMethod._export.S + core_getIteratorMethod._export.F * core_getIteratorMethod._fails(function () { fn(1); }), 'Object', exp);
};

exports._objectSap = _objectSap;
